Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.geometry.partitioning
Class SubHyperplane.SplitSubHyperplane<U extends Space>

    java.lang.Object
      org.apache.commons.math3.geometry.partitioning.SubHyperplane.SplitSubHyperplane<U>

Type Parameters:
  `U` - Type of the embedding space.

Enclosing interface:
  SubHyperplane<S extends Space>

    public static class SubHyperplane.SplitSubHyperplane<U extends Space>

extends Object

Class holding the results of the `split` method.

Constructor Summary
`SubHyperplane.SplitSubHyperplane(SubHyperplane<U> plus, SubHyperplane<U> minus)` Build a SplitSubHyperplane from its parts.

Method Summary
`SubHyperplane<U>` | `getMinus()` Get the part of the sub-hyperplane on the minus side of the splitting hyperplane.
`SubHyperplane<U>` | `getPlus()` Get the part of the sub-hyperplane on the plus side of the splitting hyperplane.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubHyperplane.SplitSubHyperplane

    public SubHyperplane.SplitSubHyperplane(SubHyperplane<U> plus,
                                            SubHyperplane<U> minus)

  Build a SplitSubHyperplane from its parts.

  Parameters:
    `plus` - part of the sub-hyperplane on the plus side of the splitting hyperplane
    `minus` - part of the sub-hyperplane on the minus side of the splitting hyperplane

Method Detail

### getPlus

    public SubHyperplane<U> getPlus()

  Get the part of the sub-hyperplane on the plus side of the splitting hyperplane.

  Returns:
    part of the sub-hyperplane on the plus side of the splitting hyperplane

### getMinus

    public SubHyperplane<U> getMinus()

  Get the part of the sub-hyperplane on the minus side of the splitting hyperplane.

  Returns:
    part of the sub-hyperplane on the minus side of the splitting hyperplane

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.